API referenceAPI keys
Create an API key
POST
/v1/projects/{project_id}/keysRequires role admin or higher. Counts against the plan limit keys_per_project.
The body is optional. The full key is in the response only.
AuthorizationBearer <token>
A session token from /v1/auth/sign-in/email (CLI, scripts).
In: header
Path Parameters
project_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/projects/string/keys" \ -H "Authorization: Bearer $DLOGIFY_SESSION" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "id": "string", "key": "string", "last_used_at": "2019-08-24T14:15:22Z", "name": "string", "project_id": "string", "revoked_at": "2019-08-24T14:15:22Z", "scopes": [ "ingest:write" ]}